org.apache.hadoop.hdfs.server.namenode

## Class SerialNumberManager.StringTable

- java.lang.Object
- - org.apache.hadoop.hdfs.server.namenode.SerialNumberManager.StringTable

- All Implemented Interfaces:
    Iterable<Map.Entry<Integer,String>>
  Enclosing class:
    SerialNumberManager

      public static class SerialNumberManager.StringTable
      extends Object
      implements Iterable<Map.Entry<Integer,String>>

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaskBits()`
    `Iterator<Map.Entry<Integer,String>>` | `iterator()`
    `void` | `put(int id, String str)`
    `int` | `size()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### put

          public void put(int id,
                          String str)

    - #### iterator

          public Iterator<Map.Entry<Integer,String>> iterator()

      Specified by:
        `iterator` in interface `Iterable<Map.Entry<Integer,String>>`

    - #### size

          public int size()

    - #### getMaskBits

          public int getMaskBits()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.